[Deprecated]: v1.0
get
/ec-site-svc/rest/v1.0/studies/{studyId}/{mode}/labs
Deprecated: Retrieves all labs associated with a given site.
Request
Query Parameters
-
siteId: string
The ID of the site.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object LabResponse v1.0
Title:
LabResponse v1.0Response containing lab summary information.
Nested Schema : LabResponse v1.0
Type:
objectTitle:
LabResponse v1.0Response containing lab summary information.
Show Source
-
labId: string
(uuid)
-
name: string
Title:
Lab NameOfficial name of the lab.Example:Central Lab -
shortName: string
Title:
Lab Short NameShort name of the lab.Example:CLAB
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples